---
title: "Find Loyalty Plan"
description: "Use GET /loyalty_plans/{loyalty_plan_id} to retrieve one loyalty plan."
canonical: https://docs.ordering.co/api-reference/guides/find-loyalty-plan/
---

# Find Loyalty Plan

> **API operation:** [Open the endpoint in Scalar](https://docs.ordering.co/api-reference/#tag/loyalty_plans/GET/loyalty_plans/{loyalty_plan_id})

Use `GET /loyalty_plans/{loyalty_plan_id}` to retrieve one loyalty plan. The operation is `LoyaltyPlan.find`.

Unlike the public collection read, the detail operation requires administrator authentication. The response can include type, accumulation, redemption, maximum, expiration, and business-assignment information.

See [Loyalty plan model](https://docs.ordering.co/api-reference/guides/loyalty-level-model/) for the resource concepts.

## OpenAPI reference

**Operation:** `GET /loyalty_plans/{loyalty_plan_id}`

**Path parameters**

| Name              | Type    | Required | Description |
| ----------------- | ------- | -------- | ----------- |
| `loyalty_plan_id` | integer | Yes      | —           |

**Query parameters**

| Name     | Type   | Required | Description                                                                                                                |
| -------- | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------- |
| `params` | string | No       | Comma-separated list of fields. It is intersected with the model’s $fillable; an empty or invalid list returns all fields. |

**Responses**

| Code | Description                           |
| ---- | ------------------------------------- |
| 200  | OK                                    |
| 400  | Bad Request (ErrorResponse)           |
| 401  | Unauthorized                          |
| 404  | Not Found                             |
| 429  | Too Many Requests (ErrorResponse)     |
| 500  | Internal Server Error (ErrorResponse) |
| 503  | Service Unavailable (ErrorResponse)   |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/loyalty_plans/GET/loyalty_plans/{loyalty_plan_id})
